post
https://api.exponea.com/data/v2/projects//customers/export
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Authorization
In this API call you must use the following authorization access and permissions:
| Available access type | Permission needed |
|---|---|
| Private access | GDPR > Export customers |
Read more about:
attributes object schema
attributes object schemaHere is the schema of the request body parameter attributes:
| Parameter | Type | Description | Required |
|---|---|---|---|
| type | string | some = only specified attributes in the requestproperties_and_ids = all properties and identifiers (default) | No |
| list | array of objects | Define attributes, that you want to export. Only available when type: some is used. | Required if some is used as attributes.type. |
Additional example of the attributes
"attributes": {
"type": "some",
"list": [
{
"type": "id",
"id": "registered"
},
{
"type": "id",
"id": "cookie"
}
]
}
ImportantWhen using event attributes
id,property, andtype, useattribute.list.id,attribute.list.property, andattribute.list.typein your request definition.
filter object schema
filter object schemaHere is the schema of the request body parameter filter:
| Parameter | Type | Description | Required |
|---|---|---|---|
| type | string | segment = customers from a segmentall = all customers (default) | No |
| segmentation_id | string | ID of the segmentation that should be applied for filtering customers. | No |
| segment_index | int32 | Index of the segment from the segmentation. Only customers from this segment will be exported. Indexed from 0. Customers that don't match any of the segments belong to segment_index -1. | No |
NoteFor use cases that require date filtering, the Data Exports feature may be a better fit. Note that Data Exports is a paid feature and the API does not support date filtering.